Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class ConnectionPoolConfiguration

    java.lang.Object
      oracle.ifs.server.ConnectionPoolConfiguration

All Implemented Interfaces:
  java.io.Serializable

    public class ConnectionPoolConfiguration

extends java.lang.Object
implements java.io.Serializable

A ConnectionPoolConfiguration is a bucket of parameters that govern the operation of a ConnectionPool.

See Also:
  Serialized Form
(Unpublished)

Constructor Summary
`ConnectionPoolConfiguration()` Constructs a ConnectionPoolConfiguration.

Method Summary
`javax.sql.DataSource` | `getDataSource()` Returns the data source used by this connection pool config.
`int` | `getDefaultRowPrefetch()` Gets the default number of prefetched rows.
`java.io.PrintStream` | `getJdbcLogStream()` Gets the PrintStream to which the JDBC log will be sent.
`int` | `getMaximumSize()` Gets the absolute maximum number of LibraryConnections in the ConnectionPool.
`long` | `getMaximumSizeTimeout()` Gets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before throwing an exception if the ConnectionPool size has reached its absolute maximum.
`int` | `getMinimumSize()` Gets the minimum number of LibraryConnections in the ConnectionPool.
`java.lang.String` | `getName()` Gets the name of the ConnectionPool.
`int` | `getStatementCacheSizeTrigger()` Gets the number of statements that need to be cached before a purge is triggered.
`int` | `getStatementCacheTarget()` Gets the target maximum number of statements we wish to keep cached.
`int` | `getStatementResetLimit()` Gets the access limit at which statements saved in LibraryConnections will be closed and re-opened.
`int` | `getTargetSize()` Gets the target maximum number of LibraryConnections in the ConnectionPool.
`long` | `getTargetSizeTimeout()` Gets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before creating a new LibraryConnection if the ConnectionPool size has reached its target maximum.
`void` | `setDataSource(javax.sql.DataSource dataSource)` Sets the DataSource for this Connection pool configuration.
`void` | `setDefaultRowPrefetch(int prefetch)` Sets the default number of prefetched rows.
`void` | `setJdbcLogStream(java.io.PrintStream stream)` Sets the PrintStream to which the JDBC log will be sent.
`void` | `setMaximumSize(int maximumSize)` Sets the absolute maximum number of LibraryConnections in the ConnectionPool.
`void` | `setMaximumSizeTimeout(long timeout)` Sets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before throwing an exception if the ConnectionPool size has reached its absolute maximum.
`void` | `setMinimumSize(int minimumSize)` Sets the minimum number of LibraryConnections in the ConnectionPool.
`void` | `setName(java.lang.String name)` Sets the name of the ConnectionPool.
`void` | `setStatementCacheSizeTrigger(int trigger)` Sets the number of statements that need to be cached before a purge is triggered.
`void` | `setStatementCacheTarget(int target)` Sets the target maximum number of statements we wish to keep cached.
`void` | `setStatementResetLimit(int statementResetLimit)` Sets the access limit at which statements saved in LibraryConnections will be closed and re-opened.
`void` | `setTargetSize(int targetSize)` Sets the target maximum number of LibraryConnections in the ConnectionPool.
`void` | `setTargetSizeTimeout(long timeout)` Sets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before creating a new LibraryConnection if the ConnectionPool size has reached its target maximum.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPoolConfiguration

    public ConnectionPoolConfiguration()
                                throws IfsException

  Constructs a ConnectionPoolConfiguration.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the name of the ConnectionPool.

  Parameters:
    `name` - the name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the name of the ConnectionPool.

  Returns:
    the name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setJdbcLogStream

    public void setJdbcLogStream(java.io.PrintStream stream)
                          throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the PrintStream to which the JDBC log will be sent.

  Parameters:
    `stream` - the stream, or null to disable JDBC logging
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getJdbcLogStream

    public java.io.PrintStream getJdbcLogStream()
                                         throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the PrintStream to which the JDBC log will be sent.

  Returns:
    the stream, or null if JDBC logging is disabled
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setDefaultRowPrefetch

    public void setDefaultRowPrefetch(int prefetch)
                               throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the default number of prefetched rows.

  Parameters:
    `prefetch` - the default row prefetch
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDefaultRowPrefetch

    public int getDefaultRowPrefetch()
                              throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the default number of prefetched rows.

  Returns:
    the default row prefetch
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setStatementResetLimit

    public void setStatementResetLimit(int statementResetLimit)
                                throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the access limit at which statements saved in LibraryConnections will be closed and re-opened. A value of zero indicates that the statements are never closed and re-opened.

  Parameters:
    `statementResetLimit` - see method description
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStatementResetLimit

    public int getStatementResetLimit()
                               throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the access limit at which statements saved in LibraryConnections will be closed and re-opened. A value of zero indicates that the statements are never closed and re-opened.

  Returns:
    the statement reset limit
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setStatementCacheTarget

    public void setStatementCacheTarget(int target)
                                 throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the target maximum number of statements we wish to keep cached.

  Parameters:
    `target` - the target maximum number of statements to cache
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStatementCacheTarget

    public int getStatementCacheTarget()
                                throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the target maximum number of statements we wish to keep cached.

  Returns:
    the target maximum number of statements to cache
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setStatementCacheSizeTrigger

    public void setStatementCacheSizeTrigger(int trigger)
                                      throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the number of statements that need to be cached before a purge is triggered.

  Parameters:
    `trigger` - the number of statements cached that triggers a purge
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStatementCacheSizeTrigger

    public int getStatementCacheSizeTrigger()
                                     throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the number of statements that need to be cached before a purge is triggered.

  Returns:
    the number of statements cached that triggers a purge
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setMinimumSize

    public void setMinimumSize(int minimumSize)
                        throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the minimum number of LibraryConnections in the ConnectionPool.

  Parameters:
    `minimumSize` - the minimum size
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getMinimumSize

    public int getMinimumSize()
                       throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the minimum number of LibraryConnections in the ConnectionPool.

  Returns:
    the minimum size
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setTargetSize

    public void setTargetSize(int targetSize)
                       throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the target maximum number of LibraryConnections in the ConnectionPool.

  Parameters:
    `targetSize` - the target maximum size
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getTargetSize

    public int getTargetSize()
                      throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the target maximum number of LibraryConnections in the ConnectionPool.

  Returns:
    the target maximum size
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setMaximumSize

    public void setMaximumSize(int maximumSize)
                        throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the absolute maximum number of LibraryConnections in the ConnectionPool.

  Parameters:
    `maximumSize` - the absolute maximum size
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getMaximumSize

    public int getMaximumSize()
                       throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the absolute maximum number of LibraryConnections in the ConnectionPool.

  Returns:
    the absolute maximum size
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setTargetSizeTimeout

    public void setTargetSizeTimeout(long timeout)
                              throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before creating a new LibraryConnection if the ConnectionPool size has reached its target maximum.

  Parameters:
    `timeout` - the wait period, in milliseconds
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getTargetSizeTimeout

    public long getTargetSizeTimeout()
                              throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before creating a new LibraryConnection if the ConnectionPool size has reached its target maximum.

  Returns:
    the wait period, in milliseconds
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setMaximumSizeTimeout

    public void setMaximumSizeTimeout(long timeout)
                               throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before throwing an exception if the ConnectionPool size has reached its absolute maximum.

  Parameters:
    `timeout` - the wait period, in milliseconds
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getMaximumSizeTimeout

    public long getMaximumSizeTimeout()
                               throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Gets the period of time, in milliseconds, that attempting to acquire a LibraryConnection will wait before throwing an exception if the ConnectionPool size has reached its absolute maximum.

  Returns:
    the wait period, in milliseconds
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setDataSource

    public void setDataSource(javax.sql.DataSource dataSource)
                       throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Sets the DataSource for this Connection pool configuration.

  Parameters:
    `dataSource` - database connection factory
  Throws:
    `IfsException` - if the operation fails

### getDataSource

    public javax.sql.DataSource getDataSource()
                                       throws IfsException

  Description copied from class: `ConnectionPoolConfiguration`
  Returns the data source used by this connection pool config.

  Returns:
    data source object
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD